Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.functions.supportVector
Class NormalizedPolyKernel

    java.lang.Object
      weka.classifiers.functions.supportVector.Kernel
          weka.classifiers.functions.supportVector.CachedKernel
              weka.classifiers.functions.supportVector.PolyKernel
                  weka.classifiers.functions.supportVector.NormalizedPolyKernel

All Implemented Interfaces:
  java.io.Serializable

    public class NormalizedPolyKernel

extends PolyKernel

The normalized polynomial kernel. K(x,y) = /sqrt() where = PolyKernel(x,y)

Version:
  $Revision: 1.1.2.2 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`NormalizedPolyKernel(Instances dataset, int cacheSize, double exponent, boolean lowerOrder)` Creates a new `NormalizedPolyKernel` instance.

Method Summary
`double` | `eval(int id1, int id2, Instance inst1)` Redefines the eval function of PolyKernel.

Methods inherited from class weka.classifiers.functions.supportVector.CachedKernel
`clean, numCacheHits, numEvals`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalizedPolyKernel

    public NormalizedPolyKernel(Instances dataset,
                                int cacheSize,
                                double exponent,
                                boolean lowerOrder)

  Creates a new `NormalizedPolyKernel` instance.

  Parameters:
    `dataset` - the training dataset used.
    `cacheSize` - the size of the cache (a prime number)

Method Detail

### eval

    public double eval(int id1,
                       int id2,
                       Instance inst1)
                throws java.lang.Exception

  Redefines the eval function of PolyKernel.

  Overrides:
    `eval` in class `CachedKernel`
  Parameters:
    `id1` - the index of the first instance in the dataset
    `id2` - the index of the second instance in the dataset
  Returns:
    the result of the kernel function
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD